Modify

Opened 11 years ago

Closed 11 years ago

#5891 closed defect (needinfo)

JOSM crashes when loading area at 42.7101142, 42.7126653, 23.2672976, 23.2712390 near Sofia, Bulgaria

Reported by: Fips Owned by: Fips
Priority: major Milestone:
Component: Core Version:
Keywords: specific area crash, crash, loop-error Cc:

Description

Whenever I try to load the above area, which will be more or less this area:

http://www.openstreetmap.org/?lat=42.710644&lon=23.27107&zoom=18&layers=M

JOSM crashes with the German error-message: "Ein unerwarteter Fehler trat auf" (An unexpected error occured). If I choose "Keine Aktion" (No action), the error-message pops up again and again and again.

Here is the text from the report screen:

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2011-01-31 02:31:14
Last Changed Author: stoecker
Revision: 3835
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2011-01-31 00:10:01 +0100 (Mon, 31 Jan 2011)
Last Changed Rev: 3835

Identification: JOSM/1.5 (3835 de)
Memory Usage: 222 MB / 672 MB (176 MB allocated, but free)
Java version: 1.6.0_20, Sun Microsystems Inc., OpenJDK Server VM
Operating system: Linux
Dataset consistency test: No problems found

Plugin: openstreetbugs (23747)
Plugin: public_transport (25192)
Plugin: turnrestrictions (24937)
Plugin: walkingpapers (25191)

java.lang.NullPointerException

at org.openstreetmap.josm.gui.mappaint.ElemStyles.getIcon(ElemStyles.java:150)
at org.openstreetmap.josm.data.osm.visitor.paint.MapPaintVisitor.getPrimitiveNodeStyle(MapPaintVisitor.java:91)
at org.openstreetmap.josm.data.osm.visitor.paint.MapPaintVisitor.paintUnselectedRelation(MapPaintVisitor.java:178)
at org.openstreetmap.josm.data.osm.visitor.paint.MapPaintVisitor.visitAll(MapPaintVisitor.java:402)
at org.openstreetmap.josm.gui.layer.OsmDataLayer.paint(OsmDataLayer.java:268)
at org.openstreetmap.josm.gui.MapView.paintLayer(MapView.java:448)
at org.openstreetmap.josm.gui.MapView.paint(MapView.java:527)
at javax.swing.JComponent.paintChildren(JComponent.java:866)
at javax.swing.JSplitPane.paintChildren(JSplitPane.java:1042)
at javax.swing.JComponent.paint(JComponent.java:1038)
at javax.swing.JComponent.paintToOffscreen(JComponent.java:5138)
at javax.swing.BufferStrategyPaintManager.paint(BufferStrategyPaintManager.java:302)
at javax.swing.RepaintManager.paint(RepaintManager.java:1145)
at javax.swing.JComponent._paintImmediately(JComponent.java:5086)
at javax.swing.JComponent.paintImmediately(JComponent.java:4896)
at javax.swing.RepaintManager.paintDirtyRegions(RepaintManager.java:740)
at javax.swing.RepaintManager.paintDirtyRegions(RepaintManager.java:696)
at javax.swing.RepaintManager.prePaintDirtyRegions(RepaintManager.java:676)
at javax.swing.RepaintManager.access$700(RepaintManager.java:57)
at javax.swing.RepaintManager$ProcessingRunnable.run(RepaintManager.java:1550)
at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:226)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:602)
at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)
at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)

Note: this also occures 3831. The stable version 3376 (the last stable I had on my computer) loads the data and shows it, but if I delete the layer with the OSM data, a message occurs which says, there is a problem with the plugin "openstreetbugs". After this the program crashes again with the "unexprected-error"-message. After downloading the newest stable 3751 and starting it, the program crashes before loading the main window. See this message:

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-12-31 02:31:28
Last Changed Author: bastiK
Revision: 3751
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-12-30 16:31:05 +0100 (Thu, 30 Dec 2010)
Last Changed Rev: 3751

Identification: JOSM/1.5 (3751 de)
Memory Usage: 80 MB / 672 MB (24 MB allocated, but free)
Java version: 1.6.0_20, Sun Microsystems Inc., OpenJDK Server VM
Operating system: Linux

Plugin: public_transport
Plugin: turnrestrictions
Plugin: walkingpapers

java.lang.IllegalStateException: Projektion "EPSG:3857" nicht vorhanden

at org.openstreetmap.josm.data.imagery.OffsetBookmark.<init>(OffsetBookmark.java:47)
at org.openstreetmap.josm.data.imagery.OffsetBookmark.loadBookmarks(OffsetBookmark.java:67)
at org.openstreetmap.josm.gui.preferences.ImageryPreference.initialize(ImageryPreference.java:747)
at org.openstreetmap.josm.Main.<init>(Main.java:223)
at org.openstreetmap.josm.gui.MainApplication.<init>(MainApplication.java:64)
at org.openstreetmap.josm.gui.MainApplication.main(MainApplication.java:231)

Hope this information helps someone. If I made a bad mistake here, let me know - it's my first bug-report ever ;-)

Attachments (0)

Change History (3)

comment:1 Changed 11 years ago by stoecker

Probably a cause of #5888 as well. Probably I overlooked something again.

comment:2 Changed 11 years ago by stoecker

Owner: changed from team to Fips
Status: newneedinfo

Please update all plugins and retry. Report results.

comment:3 Changed 11 years ago by stoecker

Resolution: needinfo
Status: needinfoclosed

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Fips.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.